bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

C-x 1 exits emacs21 uhnder NeXtaw


From: Glyn Millington
Subject: C-x 1 exits emacs21 uhnder NeXtaw
Date: Fri, 09 Nov 2001 14:50:58 +0000

This bug report will be sent to the Free Software Foundation,
not to your local site managers!
Please write in English, because the Emacs maintainers do not have
translators to read other languages for them.

Your bug report will be posted to the address@hidden mailing list,
and to the gnu.emacs.bug news group.

In GNU Emacs 21.1.1 (i386-debian-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2001-11-07 on glynthebearded, modified by Debian
configured using `configure  i386-debian-linux-gnu --prefix=/usr 
--sharedstatedir=/var/lib --libexecdir=/usr/lib --localstatedir=/var/lib 
--infodir=/usr/share/info --mandir=/usr/share/man --with-pop=yes --with-x=yes'
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: C
  locale-coding-system: nil
  default-enable-multibyte-characters: t

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

Running Debian 2.2r3 with a few packages from unstable (dpkg,
sysvinit, info, texinfo) precisely for the purpose of compiling
Emacs21.  Which I did having downloaded the official deb-sources from
Debian unstable.

The problem was that C-x 1 to return to one buffer (from two) made
Emacs21 exit instantly - no warnings, nothing  _BUT_ only when loading
Emacs21 from the Debian menu or from bbrun or Gnomerun.  Launched from
an xterm or an aterm it was stable.  

On Alan Shutko's advice, I did a diff on the "menu" environment and
the "shell" environment.  The major difference was that in the menu
environment the neXtaw widget set is used, and that is the default
widget set on my system ie the first listed in /etc/ld.so.conf and
also set in .bashrc.  

/usr/X11R6/lib/neXtaw
/usr/X11R6/lib/Xaw3d
/usr/X11R6/lib
/usr/lib/libc5-compat
/lib/libc5-compat

Emacs21 is compiled against Xaw3d (that seems to be set in the
configure file rather than in the debian files). 
 
So I tried running it with the Xaw widgets from the hitherto "fragile"
Gnomerun and bbrun
 
  LD_PRELOAD=/usr/X11R6/lib/Xaw3d/libXaw.so.6 emacs21
 
and it works!  I can C-x 1 as much as like.  So I inserted the above
command into the debian menu in /etc/menu.  


?package(emacs21):\
  needs="x11"\
  section="Apps/Editors"\
  title="Emacs 21"\
  command="LD_PRELOAD=/usr/X11R6/lib/Xaw3d/libXaw.so.6  /usr/bin/emacs21"\
  icon=/usr/share/emacs/21.1/etc/gnu-32x32.xpm

?package(emacs21):\
  needs="text"\
  section="Apps/Editors"\
  title="Emacs 21"\
  command="/usr/bin/emacs21"\
  icon=/usr/share/emacs/21.1/etc/gnu-32x32.xpm

Don't know if this qualifies as a bug - there is a clear dependency on
Xaw3d stated on the Debian pages - but it is one possible source of
instability on some systems, so I send you this note of it. 

With thanks to Eli Zaretski and Alan Shutko!!


Recent input:
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<menu-bar> <help-menu> <report-emacs-bug>

Recent messages:
Loading 00debian-vars...done
Loading 50auctex (source)...
Loading regexp-opt...done
Loading 50auctex (source)...done
Loading 50bbdb-init (source)...done
Loading 50gettext (source)...done
Loading edmacro...done
Loading cl-macs...done
For information about the GNU Project and its goals, type C-h C-p.
Loading emacsbug...done



reply via email to

[Prev in Thread] Current Thread [Next in Thread]